Funds

Portfolios

Retrieve fund portfolios.

Parameters
page number

The page number to retrieve.

Defaults to 1.

page_size number

The number of items per page.

If specified, must be between 1 and 10000 inclusive.

Defaults to 100.

sort_by string

The field to sort the results by.

One of aum

Defaults to aum.

sort_dir string

The order to sort the results by.

One of asc, desc.

Defaults to desc.

year integer

The year of the reporting period to retrieve portfolios details for. Requires quarter to be provided, and will be ignored if it is not provided.

If specified, must be between 2013 and the current year inclusive.

Defaults to the latest finalized reporting year.

quarter integer

The quarter of the reporting period to retrieve portfolios details for. Requires year to be provided, and will be ignored if it is not provided.

If specified, must be between 1 and 4 inclusive.

Defaults to the latest finalized reporting quarter.

GET /v1/funds-portfolios
Response
{
  "page": 1,
  "page_size": 100,
  "has_more_pages": true,
  "reporting_year": 2025,
  "reporting_quarter": 1,
  "portfolios": [
    {
      "fund": {
        "id": "vanguard-group",
        "name": "Vanguard Group",
        "profile": "The Vanguard Group, founded in 1975 by...",
        "icon_url": "https://wsr.imgdelivr.io/icons/funds/ccaohw6t.svg",
        "city": "Malvern",
        "state_or_country": "Pennsylvania",
        "latest_reporting_year": 2025,
        "latest_reporting_quarter": 1,
        "latest_aum": 5531119721493,
        "return_latest_quarter": -2.6,
        "return_years_1": 14.36,
        "return_years_3": 52.73,
        "return_years_5": 217.69,
        "return_years_10": 389.81
      },
      "reporting_year": 2025,
      "reporting_quarter": 1,
      "quarter_return": -2.6,
      "aum": 5531119721493,
      "aum_last": 5741207245727,
      "aum_change": -210087524234,
      "aum_change_percent": -3.66,
      "aum_top_10": 1448139329591,
      "aum_top_10_as_percent_of_aum": 26.18,
      "capital_flow": 60017926190,
      "capital_flow_as_percent_of_aum": 1.09,
      "etfs_percent": 3.39,
      "turnover_percent": 3.87,
      "holdings": 4371,
      "holdings_last": 4397,
      "holdings_change": -26,
      "new_positions": 78,
      "new_positions_last": 46,
      "new_positions_change": 32,
      "closed_positions": 91,
      "closed_positions_last": 104,
      "closed_positions_change": -13,
      "increased_positions": 2136,
      "increased_positions_last": 2372,
      "increased_positions_change": -236,
      "reduced_positions": 1688,
      "reduced_positions_last": 1396,
      "reduced_positions_change": 292
    },
    {
      "fund": {
        "id": "blackrock",
        "name": "BlackRock",
        "profile": "BlackRock, Inc., founded in 1988 by...",
        "icon_url": "https://wsr.imgdelivr.io/icons/funds/qcv69tuz.svg",
        "city": "New York",
        "state_or_country": "New York",
        "latest_reporting_year": 2025,
        "latest_reporting_quarter": 1,
        "latest_aum": 4739418141980,
        "return_latest_quarter": -2.66,
        "return_years_1": 13.92,
        "return_years_3": 52.81,
        "return_years_5": 213.97,
        "return_years_10": 365.6
      },
      "reporting_year": 2025,
      "reporting_quarter": 1,
      "quarter_return": -2.66,
      "aum": 4739418141980,
      "aum_last": 4930627911576,
      "aum_change": -191209769596,
      "aum_change_percent": -3.88,
      "aum_top_10": 1208890630934,
      "aum_top_10_as_percent_of_aum": 25.51,
      "capital_flow": 46522017380,
      "capital_flow_as_percent_of_aum": 0.98,
      "etfs_percent": 13.67,
      "turnover_percent": 5.81,
      "holdings": 5538,
      "holdings_last": 5486,
      "holdings_change": 52,
      "new_positions": 186,
      "new_positions_last": 299,
      "new_positions_change": -113,
      "closed_positions": 136,
      "closed_positions_last": 132,
      "closed_positions_change": 4,
      "increased_positions": 1916,
      "increased_positions_last": 3156,
      "increased_positions_change": -1240,
      "reduced_positions": 2658,
      "reduced_positions_last": 1316,
      "reduced_positions_change": 1342
    }
  ]
}